%define beta 0
%define name alsa-oss
%define version 1.0.25

%define lib_major 0
%define pre rc4
%define rel 3

%define lib_name %mklibname %name %lib_major
%define develname %mklibname -d %name
%if %beta
%define fname %name-%version%pre
%else
%define fname %name-%version
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		%name
Version:	%version
%if %beta
Release:	%mkrel 0.%{pre}.%rel
%else
Release:	%mkrel %rel
%endif
Epoch:		1
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%fname.tar.bz2
Patch0:		alsa-oss-1.0.12-aoss.patch 
License:	GPL
Url:		http://www.alsa-project.org/
Group:		Sound/Utilities
Requires:	kernel >= 2.4.18
BuildRequires: doxygen libalsa-devel > 1.0.5

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %{lib_name}
Summary:    Advanced Linux Sound Architecture (ALSA) library
Group: System/Libraries
Provides:   %name = %version-%release
Provides:   lib%name = %version-%release

%description -n %{lib_name}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

%package -n %develname
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %lib_name = %epoch:%version
Obsoletes:  %{mklibname alsa-oss 1}-devel
Provides:   %{mklibname alsa-oss 1}-devel = %version-%release
Provides:   lib%name-devel = %version-%release, %name-devel = %version-%release

%description -n %develname
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n aoss
Summary:    Wrapper script to ease ALSA-OSS compatibility library usage
Group:      Development/C
Requires:   %lib_name = %epoch:%version

%description -n aoss
aoss is a simple wrapper script which facilitates the use
of the ALSA OSS compatibility library.
It just sets the appropriate LD_PRELOAD path and then runs the command.

This is useful in cases where routing settings (which can
be made in your .asoundrc file) need to be applied to commands that use the
OSS API.


%prep
%setup -q -n %fname
%patch0 -p1

%build
autoreconf -fiv
%configure2_5x
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="%ldflags -ldl"

%install
mkdir -p %{buildroot}%_includedir/sys
mkdir -p %{buildroot}%_libdir
%makeinstall_std
rm -f %{buildroot}%_libdir/*.a %{buildroot}%_libdir/*.la

%files -n %lib_name
%doc COPYING
%_libdir/*.so.%{lib_major}*

%files -n %develname
%doc COPYING
%_libdir/*.so
%_includedir/oss-redir.h

%files -n aoss
%doc COPYING
%_bindir/aoss
%_mandir/man1/aoss.*


%changelog

* Sat Jan 19 2013 fwang <fwang> 1:1.0.25-3.mga3
+ Revision: 389719
- update rpm group

  + pterjan <pterjan>
    - Make the package updatable by Youri::Package::RPM::Updater

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 colin <colin> 1:1.0.25-1.mga2
+ Revision: 201527
- New version: 1.0.25

* Sun Jan 09 2011 ahmad <ahmad> 1:1.0.17-6.mga1
+ Revision: 3267
- clean spec and drop conflicts
- imported package alsa-oss

